void scdspmsg(coord row, coord col, attrib fore, attrib back, char * str);
void scattrib(attrib fore, attrib back, unsigned char c, short rep);
void _setnocursor(void);
void _setnormalcursor(void);
unsigned char scread(attrib * fore, attrib * back);
void sccurpos(coord * row, coord * col);
void sccurset(coord row, coord col);
void scattribs(attrib color, coord y0, coord x0, coord y1, coord x1);

void scscroll(unsigned char numlines, attrib color, coord y0, coord x0, coord y1, coord x1, unsigned char dir);
#define SCR_UP (unsigned char)0x06
#define SCR_DOWN (unsigned char)0x07

extern void click(void);
